Patch for ruby 1.9

2009-05-08
2013-05-01
  • Hi, this is a simple patch to make obexftp-0.23 build against ruby 1.9.

    I need it for the better thread support in ruby 1.9.

    Here is the patch.

    --- swig/ruby/ruby_wrap_old.c   2009-05-08 17:54:42.260259966 +0200
    +++ swig/ruby/ruby_wrap.c       2009-05-08 17:54:50.198258493 +0200
    @@ -2601,7 +2601,7 @@
        
         /* VALUE str = StringValue(argv[0]); // perhaps better? */
         arg2 = STR2CSTR(argv[0]);
    -    arg3 = (int) RSTRING(argv[0])->len;
    +    arg3 = (int) RSTRING_LEN(argv[0]);

    bye
    Rex